Custom Providers
List custom providers
GET
/
api
/
providers
/
import requests
url = "https://api.keywordsai.co/api/providers/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.keywordsai.co/api/providers/';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": "my-openai-provider",
"provider_id": "my-openai-provider",
"provider_name": "My OpenAI Provider",
"created_at": "2024-01-16T14:20:00Z",
"updated_at": "2024-01-16T14:20:00Z"
}
]
{
"detail": "Authentication credentials were not provided."
}
Retrieve all custom providers for your organization. Custom providers allow you to configure custom LLM API endpoints with your own credentials and settings.
Sensitive fields: The
api_key and extra_kwargs fields are write-only and never returned in API responses for security reasons.Response
Returns an array of custom provider objects.[
{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": "my-openai-provider",
"provider_id": "my-openai-provider",
"provider_name": "My OpenAI Provider",
"created_at": "2024-01-16T14:20:00Z",
"updated_at": "2024-01-16T14:20:00Z"
}
]
{
"detail": "Authentication credentials were not provided."
}
import requests
url = "https://api.keywordsai.co/api/providers/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.keywordsai.co/api/providers/';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/" \
-H "Authorization: Bearer YOUR_API_KEY"
Was this page helpful?
⌘I
import requests
url = "https://api.keywordsai.co/api/providers/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api.keywordsai.co/api/providers/';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": "my-openai-provider",
"provider_id": "my-openai-provider",
"provider_name": "My OpenAI Provider",
"created_at": "2024-01-16T14:20:00Z",
"updated_at": "2024-01-16T14:20:00Z"
}
]
{
"detail": "Authentication credentials were not provided."
}